> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Remitter

> Retrieve remitter details by ID



## OpenAPI

````yaml get /v1/remitters/{remitter_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/remitters/{remitter_id}:
    get:
      summary: Get remitter detail.
      description: Get remitter detail
      operationId: get-remitter
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: remitter_id
          in: path
          description: Remitter id
          schema:
            type: string
            format: uuid
          example: 9b294222-3a53-427f-9393-95dc6d63ee6c
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9f0092ca-4b7d-4e33-b503-9dd27b0807ba
                    status: pending
                    entity_type: individual
                    full_name: Hilda Ferry
                    email: test@gmail.com
                    address:
                      city: Singapore
                      state: Singapore
                      country: sg
                      postal_code: '238888'
                      street_address: 123 Orchard Rd
                    id_type: national_id
                    id_number: A1748248115
                    nationality: sg
                    company_name: Abernathy Inc
                    date_of_birth: '1990-01-01'
                    contact_number: '+6591234567'
                    place_of_birth: Singapore
                    created_by:
                      id: 98566f58-1c76-4b8b-8f75-d20bba2bc7f8
                      display_name: TestingSG
                      first_name: QA
                      last_name: SG
                    created_at: '2025-05-26T16:28:35+08:00'
                    updated_at: '2025-05-26T16:28:35+08:00'
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                  entity_type:
                    type: string
                    enum:
                      - individual
                      - company
                  full_name:
                    type: string
                  id_number:
                    type: string
                  id_type:
                    type: string
                    enum:
                      - national_id
                      - passport
                      - driving_license
                  date_of_birth:
                    type: string
                  place_of_birth:
                    type: string
                  nationality:
                    type: string
                  contact_number:
                    type: string
                  email:
                    type: string
                  address:
                    type: object
                    properties:
                      street_address:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      postal_code:
                        type: string
                      country:
                        type: string
                    required:
                      - street_address
                      - city
                      - state
                      - postal_code
                      - country
                  company_name:
                    type: string
                  created_by:
                    type: object
                    properties:
                      id:
                        type: string
                      display_name:
                        type: string
                      first_name:
                        type: string
                      last_name:
                        type: string
                    required:
                      - id
                      - display_name
                      - first_name
                      - last_name
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - id
                  - status
                  - entity_type
                  - full_name
                  - id_number
                  - id_type
                  - date_of_birth
                  - place_of_birth
                  - nationality
                  - contact_number
                  - email
                  - address
                  - company_name
                  - created_by
                  - created_at
                  - updated_at
      deprecated: false

````